> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qfex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Account Positions

> Return open positions for a public account without balance details.



## OpenAPI

````yaml /api-reference/openapi.yaml get /public/accounts/{account_id}/positions
openapi: 3.1.0
info:
  contact:
    email: support@qfex.com
    name: QFEX Support
  description: REST API for QFEX
  license:
    name: QFEX License
    url: https://qfex.com/license
  title: QFEX REST API
  version: 0.1.0
servers:
  - description: Production server
    url: https://api.qfex.com
security: []
paths:
  /public/accounts/{account_id}/positions:
    get:
      tags:
        - public
      summary: Public Account Positions
      description: Return open positions for a public account without balance details.
      operationId: read-public-account-positions
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicAccountPositionsResponseBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security: []
components:
  schemas:
    PublicAccountPositionsResponseBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://api.qfex.com/schemas/PublicAccountPositionsResponseBody.json
          format: uri
          readOnly: true
          type: string
        account:
          $ref: '#/components/schemas/PublicAccount'
        positions:
          items:
            $ref: '#/components/schemas/PositionPublic'
          type:
            - array
            - 'null'
      required:
        - account
        - positions
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    PublicAccount:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/PublicAccount.json
          format: uri
          readOnly: true
          type: string
        account_id:
          format: uuid
          type: string
        avatar_url:
          type: string
        is_public:
          type: boolean
        user_id:
          format: uuid
          type: string
        username:
          type: string
      required:
        - account_id
        - user_id
        - is_public
      type: object
    PositionPublic:
      additionalProperties: false
      properties:
        average_price:
          format: double
          type: number
        initial_margin:
          format: double
          type: number
        leverage:
          format: double
          type: number
        maintenance_margin:
          format: double
          type: number
        net_funding:
          format: double
          type: number
        open_orders:
          format: int64
          type: integer
        open_quantity:
          format: double
          type: number
        position:
          format: double
          type: number
        realised_pnl:
          format: double
          type: number
        symbol:
          type: string
        unrealised_pnl:
          format: double
          type: number
      required:
        - symbol
        - position
        - realised_pnl
        - unrealised_pnl
        - net_funding
        - open_orders
        - open_quantity
        - leverage
        - initial_margin
        - maintenance_margin
        - average_price
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````